WP3MiscellaneousGroup Class Reference documentation

WP3MiscellaneousGroup Class Reference

`#include <WP3MiscellaneousGroup.h>`

Inheritance diagram for WP3MiscellaneousGroup:

## Public Member Functions
| WP3MiscellaneousGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3MiscellaneousGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes
unsigned short | m_pageWidth
unsigned short | m_pageHeight
WPXFormOrientation | m_pageOrientation

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP3MiscellaneousGroup()

WP3MiscellaneousGroup::WP3MiscellaneousGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ◆ ~WP3MiscellaneousGroup()

WP3MiscellaneousGroup::~WP3MiscellaneousGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP3MiscellaneousGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP3VariableLengthGroup.

## ◆ parse()

void WP3MiscellaneousGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_pageHeight

unsigned short WP3MiscellaneousGroup::m_pageHeight
| private

Referenced by _readContents(), parse(), and WP3MiscellaneousGroup().

## ◆ m_pageOrientation

WPXFormOrientation WP3MiscellaneousGroup::m_pageOrientation
| private

Referenced by _readContents(), parse(), and WP3MiscellaneousGroup().

## ◆ m_pageWidth

unsigned short WP3MiscellaneousGroup::m_pageWidth
| private

Referenced by _readContents(), parse(), and WP3MiscellaneousGroup().

The documentation for this class was generated from the following files:

- WP3MiscellaneousGroup.h
- WP3MiscellaneousGroup.cpp